#ifndef BUTTON_H
#define BUTTON_H

#include <QObject>
#include <QGraphicsPixmapItem>
#include <QGraphicsSceneMouseEvent>

class button : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit button(QPixmap pixmap, int type);
    virtual ~button();

    int getButtonType();

signals:
    void buttonPressed();

private:
    int buttonType;

    // QGraphicsItem interface
protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);
};

#endif // BUTTON_H
